> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slng.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Aura 2

> Synthesize speech using Deepgram Aura 2 for conversational voice agents.

export const HostingBanner = ({type = "slng", provider, regions = []}) => {
  const isSlng = type === "slng";
  const regionLabel = regions.map(r => r.toUpperCase()).join(", ");
  return <div className={`hosting-banner ${isSlng ? "hosting-banner--slng" : "hosting-banner--thirdparty"}`}>
      <span className="hosting-banner__label">
        {isSlng ? "SLNG Sovereign Hosting" : `3rd Party API Hosted by ${provider}`}
      </span>
      <span className="hosting-banner__text">
        {isSlng ? <>
            On demand in: {regionLabel}.{" "}
            <a href="mailto:support@slng.ai">Request here</a> if you want access
            in any other of our 11 regions.
          </> : <>
            For SLNG Sovereign Hosting in any of our 11 regions{" "}
            <a href="mailto:support@slng.ai">contact us</a>.
          </>}
      </span>
    </div>;
};

<HostingBanner type="thirdparty" provider="Deepgram" />


## OpenAPI

````yaml POST /v1/tts/deepgram/aura:2
openapi: 3.0.3
info:
  title: SLNG Gateway API - Deepgram TTS
  version: 0.1.0
  description: Unified API for speech-to-text and text-to-speech services.
  contact:
    name: SLNG Support
    email: support@slng.ai
servers:
  - url: https://api.slng.ai
    description: Production
  - url: https://stageapi.slng.ai
    description: Staging
security:
  - BearerAuth: []
tags:
  - name: Deepgram Aura 2
    description: Deepgram Aura 2 for conversational voice agents.
paths:
  /v1/tts/deepgram/aura:2:
    post:
      tags:
        - Deepgram Aura 2
      summary: Aura 2
      description: Synthesize speech using Deepgram Aura 2 for conversational voice agents.
      operationId: deepgram/aura:2
      parameters:
        - $ref: '#/components/parameters/XWorldPartDeepgramAura'
      requestBody:
        $ref: '#/components/requestBodies/DeepgramAura2TtsRequestBody'
      responses:
        '200':
          $ref: '#/components/responses/TtsSynthesisSuccess'
        '400':
          $ref: '#/components/responses/ProviderBadRequest'
        '401':
          $ref: '#/components/responses/ProviderUnauthorized'
        '500':
          $ref: '#/components/responses/ProviderInternalServerError'
        '503':
          $ref: '#/components/responses/ProviderServiceUnavailable'
components:
  parameters:
    XWorldPartDeepgramAura:
      name: X-World-Part-Override
      in: header
      required: false
      description: Target world part override. Auto-selected if not provided.
      schema:
        type: string
        enum:
          - na
          - eu
  requestBodies:
    DeepgramAura2TtsRequestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DeepgramAura2TtsRequest'
          examples:
            english:
              summary: Basic synthesis
              value:
                model: aura-2-thalia-en
                text: Hello, this is a test of text to speech synthesis.
            spanish:
              summary: Spanish synthesis
              value:
                model: aura-2-celeste-es
                text: Hola, esto es una prueba de síntesis de texto a voz.
  responses:
    TtsSynthesisSuccess:
      description: Synthesis successful.
      content:
        audio/*:
          schema:
            $ref: '#/components/schemas/AudioBinary'
    ProviderBadRequest:
      description: Bad request - invalid parameters provided.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ProviderErrorResponse'
          examples:
            validation-error:
              summary: Validation error
              value:
                error: Validation error
                details: 'Missing required field: text'
    ProviderUnauthorized:
      description: Invalid or missing API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ProviderErrorResponse'
    ProviderInternalServerError:
      description: Internal server error from the provider.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ProviderErrorResponse'
          examples:
            processing-error:
              summary: Processing error
              value:
                error: Service error
                details: Internal processing error
    ProviderServiceUnavailable:
      description: Service unavailable.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ProviderErrorResponse'
  schemas:
    DeepgramAura2TtsRequest:
      allOf:
        - $ref: '#/components/schemas/DeepgramAuraTtsRequestBase'
        - type: object
          properties:
            model:
              $ref: '#/components/schemas/DeepgramAura2ModelName'
    AudioBinary:
      type: string
      format: binary
      description: Binary audio data.
    ProviderErrorResponse:
      type: object
      description: >
        Provider error response. Contains error information from the upstream
        provider.

        Common errors include invalid speakers, unsupported languages, or
        malformed requests.
      properties:
        error:
          type: string
          description: >-
            Error type or category (e.g., "TTS service error", "Validation
            error").
          example: TTS service error
        status:
          type: number
          description: >-
            Original HTTP status code from the provider (may differ from gateway
            response code).
          example: 400
        details:
          type: string
          description: >
            Detailed error message from the provider. For TTS errors, this
            typically includes

            the specific validation failure (e.g., invalid speaker ID for the
            selected model/language).
          example: >-
            Rime TTS API error: 400 Bad Request - Invalid argument: Invalid
            speaker: aurelie
      required:
        - error
    DeepgramAuraTtsRequestBase:
      type: object
      properties:
        text:
          $ref: '#/components/schemas/TextToSynthesize'
        encoding:
          $ref: '#/components/schemas/DeepgramTtsEncoding'
        sample_rate:
          $ref: '#/components/schemas/DeepgramTtsSampleRate'
        container:
          $ref: '#/components/schemas/DeepgramTtsContainer'
        bit_rate:
          type: integer
          description: Output bit rate for lossy encodings.
          enum:
            - 8000
            - 16000
            - 24000
            - 32000
            - 48000
            - 64000
            - 96000
            - 128000
            - 192000
            - 256000
      required:
        - text
    DeepgramAura2ModelName:
      type: string
      description: >-
        Voice model name. Check the full list with audio samples in the [voice
        list](https://developers.deepgram.com/docs/tts-models).
      enum:
        - aura-2-amalthea-en
        - aura-2-andromeda-en
        - aura-2-apollo-en
        - aura-2-arcas-en
        - aura-2-aries-en
        - aura-2-asteria-en
        - aura-2-athena-en
        - aura-2-atlas-en
        - aura-2-aurora-en
        - aura-2-callista-en
        - aura-2-cordelia-en
        - aura-2-cora-en
        - aura-2-delia-en
        - aura-2-draco-en
        - aura-2-electra-en
        - aura-2-harmonia-en
        - aura-2-helena-en
        - aura-2-hera-en
        - aura-2-hermes-en
        - aura-2-hyperion-en
        - aura-2-iris-en
        - aura-2-janus-en
        - aura-2-juno-en
        - aura-2-jupiter-en
        - aura-2-luna-en
        - aura-2-mars-en
        - aura-2-minerva-en
        - aura-2-neptune-en
        - aura-2-odysseus-en
        - aura-2-ophelia-en
        - aura-2-orion-en
        - aura-2-orpheus-en
        - aura-2-pandora-en
        - aura-2-phoebe-en
        - aura-2-pluto-en
        - aura-2-saturn-en
        - aura-2-selene-en
        - aura-2-thalia-en
        - aura-2-theia-en
        - aura-2-vesta-en
        - aura-2-zeus-en
        - aura-2-agustina-es
        - aura-2-alvaro-es
        - aura-2-antonia-es
        - aura-2-aquila-es
        - aura-2-carina-es
        - aura-2-celeste-es
        - aura-2-diana-es
        - aura-2-estrella-es
        - aura-2-gloria-es
        - aura-2-javier-es
        - aura-2-luciano-es
        - aura-2-nestor-es
        - aura-2-olivia-es
        - aura-2-selena-es
        - aura-2-silvia-es
        - aura-2-sirio-es
        - aura-2-valerio-es
        - aura-2-beatrix-nl
        - aura-2-cornelia-nl
        - aura-2-daphne-nl
        - aura-2-hestia-nl
        - aura-2-lars-nl
        - aura-2-leda-nl
        - aura-2-rhea-nl
        - aura-2-roman-nl
        - aura-2-sander-nl
        - aura-2-agathe-fr
        - aura-2-hector-fr
        - aura-2-aurelia-de
        - aura-2-elara-de
        - aura-2-fabian-de
        - aura-2-julius-de
        - aura-2-kara-de
        - aura-2-lara-de
        - aura-2-viktoria-de
        - aura-2-cesare-it
        - aura-2-cinzia-it
        - aura-2-demetra-it
        - aura-2-dionisio-it
        - aura-2-elio-it
        - aura-2-flavio-it
        - aura-2-livia-it
        - aura-2-maia-it
        - aura-2-melia-it
        - aura-2-perseo-it
        - aura-2-ama-ja
        - aura-2-ebisu-ja
        - aura-2-fujin-ja
        - aura-2-izanami-ja
        - aura-2-uzume-ja
      default: aura-2-thalia-en
    TextToSynthesize:
      type: string
      minLength: 1
      description: Text to synthesize.
    DeepgramTtsEncoding:
      type: string
      description: Output audio encoding.
      enum:
        - linear16
        - mp3
        - opus
        - flac
        - aac
        - mulaw
        - alaw
      default: mp3
    DeepgramTtsSampleRate:
      type: integer
      description: Output sample rate in Hz.
      enum:
        - 8000
        - 16000
        - 24000
        - 32000
        - 48000
      default: 24000
    DeepgramTtsContainer:
      type: string
      description: Output file format container.
      enum:
        - none
        - wav
        - ogg
      default: wav
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        API key issued by SLNG. Pass as `Authorization: Bearer <token>`.

````